FuseTooling

Clone Tools
  • last updated a few minutes ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
FUSETOOLS-3193 - remove javax.annotation version definition in Empty 7.1+ templates

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3193 - adjust version definition in EAP templates for java 11

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3193 - remove javax.annotation version definition in CXF 7.1+ templates

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3193 - remove javax.annotation version definition in CBR 7.1+ templates

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3193 - remove javax.annotation version definition in OpenShift templates

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3187 - mention minimal reddeer version based on used Target Platform

minimal version of reddeer is 2.5.0 with current Target Platform

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3187 - mention minimal reddeer version based on used Target Platform

minimal version of reddeer is 2.5.0 with current Target Platform

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

Revert "FUSETOOLS-3187 - ignore failing test"

This reverts commit f02001d7fbb269fe0144ae7206bc12cf1b666f77.

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

Revert "FUSETOOLS-3187 - ignore failing test"

This reverts commit f02001d7fbb269fe0144ae7206bc12cf1b666f77.

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3193 - Have templates Java 11 ready

best-effort, took the jdk9+ profile from Apache Camel parent

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

  1. … 23 more files in changeset.
FUSETOOLS-3191 - have internal project used for test java 11 compatible

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-2798 - ignore warnings for not fully compliant jre used

it will allow to better investigate what is working or not with JDK 11.

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3189 - Have wsdl2rest compatible with java 11

- put all in same bundle as:

-- a different version of jaxb (core/impl/api/xjc) is required different

than the one provided by jbosstools.common.jaxb

-- apache servicemix doesn't provide a bundle for this newer version

-- due to some split packages, seems cannot provide it in a different

bundle (even if there should surely be a way to do it)

-- also needs to provide javax.ws

- set xsd external access to all for xsd when launching wsdl2rest

transformation. Same workaround applied than for Data Transformation

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-2795 - add required sources for jsonschema2pojo bundle

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-2795 provide a jsonschema2pojo bundle Java 11 compatible

- add org.jboss.tools.common.jaxb

- add javax.annotation

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-2795 - include jbosstools.common.jaxb in the feature

as the workaround to have Fuse Tooling working with java 8 and 11 is to

use an "optional" on the bundle. We need to ensure that it is installed

in Eclipse in another way.

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3187 - ignore failing test

fast and dirty hack to unblock release process due to an incompatibility

between RedDeer and used Eclipse version with Jboss Tools Target

Platform

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-2795 remove dependency on locus bundles

- use xjc provided by newer version of org.jboss.tools.common.jaxb

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

adding xml.bind plugin

Signed-off-by: Lars Heinemann <lhein.smx@gmail.com>

Use Require-Bundle instead of Import-Package

Signed-off-by: Jeff MAURY <jmaury@redhat.com>

first draft of java11 compat support

Signed-off-by: Lars Heinemann <lhein.smx@gmail.com>

    • -26
    • +26
    /targetplatform/fuse-jbosstools.target
#comment bump up to parent pom version = 4.11.0.Final-SNAPSHOT #close

FUSETOOLS-3185 - Avoid 0.9.0 which is introducing regression

when a new version without regression will be available, we will just

need to move to this new version

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

JBDS-4730 - update images containing old Dev studio product name

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

JBDS-4730: Use "Red Hat CodeReady Studio" instead of "Red Hat Developer Studio" in graphics & text

Signed-off-by: Jeff MAURY <jmaury@redhat.com>

FUSETOOLS-3170 - Switch back config to master branch

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3170 - add more precised information for camel2bom.fuse7.properties file.

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3085 - Restrict CBR and AMQ Template to 6.2 or 6.3R9+

Signed-off-by: Aurélien Pupier <apupier@redhat.com>

FUSETOOLS-3179: Update RedDeer framework to 2.4.0

Signed-off-by: Dominik Jelinek <djelinek@redhat.com>

FUSETOOLS-3173 - UI Tests - Adjust wait condition for 'Run As Local Camel Context'

SpringBoot examples does not contain "Starting Camel", therefore the wait condition cannot be fulfilled + produces a lot of log information

Signed-off-by: Tomáš Sedmík <tsedmik@redhat.com>